## camlpdf 2.1.1

=== Makefile ===
# Build the camlpdf library as byte code and native code
PDFMODS = pdfutil pdfio pdftransform pdfunits pdfpaper pdf \
pdfcryptprimitives pdfcrypt pdfflate pdfcodec pdfwrite pdfgenlex pdfread pdfjpeg pdfops pdfdest \
pdfmarks pdfpagelabels pdfpage pdfannot pdffun pdfspace pdfimage pdfafm \
pdfafmdata pdfglyphlist pdftext pdfstandard14 pdfgraphics pdfshapes pdfdate \
pdfocg pdfcff pdftype1 pdftruetype pdftype0 pdfmerge

SOURCES = flatestubs.c rijndael-alg-fst.c stubs-aes.c sha2.c stubs-sha2.c $(foreach x,$(PDFMODS),$(x).ml $(x).mli)

PACKS = bigarray

RESULT = camlpdf

LIBINSTALL_FILES = camlpdf.a camlpdf.cma camlpdf.cmxa libcamlpdf_stubs.a \
dllcamlpdf_stubs.* $(foreach x,$(PDFMODS),$x.mli) \
$(foreach x,$(PDFMODS),$x.cmi)

OCAMLNCFLAGS = -g -w -3
OCAMLBCFLAGS = -g -w -3
OCAMLLDFLAGS = -g

all : native-code-library byte-code-library htdoc

clean ::
	rm -rf doc foo foo2 out.pdf out2.pdf

install : libinstall

-include OCamlMakefile

=== examples/Makefile ===
export PACKS = camlpdf
export OCAMLBCFLAGS = -g
export OCAMLNCFLAGS = -g 
export OCAMLLDFLAGS = -g

define PROJ_pdfhello
  SOURCES=pdfhello.ml
  RESULT=pdfhello
endef
export PROJ_pdfhello

define PROJ_pdfdecomp
  SOURCES=pdfdecomp.ml
  RESULT=pdfdecomp
endef
export PROJ_pdfdecomp

define PROJ_pdfmerge
  SOURCES=pdfmergeexample.ml
  RESULT=pdfmergeexample
endef
export PROJ_pdfmerge

define PROJ_pdfdraft
  SOURCES=pdfdraft.ml
  RESULT=pdfdraft
endef
export PROJ_pdfdraft

define PROJ_pdftest
  SOURCES=pdftest.ml
  RESULT=pdftest
endef
export PROJ_pdftest

define PROJ_pdfencrypt
  SOURCES=pdfencrypt.ml
  RESULT=pdfencrypt
endef
export PROJ_pdfencrypt

ifndef SUBPROJS
  export SUBPROJS = pdfhello pdfdecomp pdfmerge pdfdraft pdftest pdfencrypt
endif

all: native-code

%:
	@make -f OCamlMakefile subprojs SUBTARGET=$@

## camlpdf 0.5

=== debian/changelog ===
camlpdf (0.5-1build4) trusty; urgency=medium

  * Rebuild for ocaml-4.01.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Dec 2013 16:15:53 +0000

camlpdf (0.5-1build3) precise; urgency=low

  * Rebuild for OCaml 3.12.1.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 19 Nov 2011 11:57:12 +0000

camlpdf (0.5-1build2) oneiric; urgency=low

  * Rebuild to pick up ocaml fixes on armel.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 24 Aug 2011 16:26:34 -0600

camlpdf (0.5-1build1) oneiric; urgency=low

  * Rebuild for OCaml 3.12.0.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 17 May 2011 08:22:26 +0100

camlpdf (0.5-1) unstable; urgency=low

  [ Stéphane Glondu ]
  * New upstream release
  * Switch source package to format 3.0 (quilt)
  * Bump Standards-Version to 3.8.4
  * Install .mli files

  [ Mehdi Dogguy ]
  * Install some examples in /usr/share/doc/libcamlpdf-ocaml-dev/examples/
    (Closes: #549866).
  * Add myself to uploaders

 -- Stéphane Glondu <glondu@debian.org>  Mon, 15 Mar 2010 14:37:29 +0100

camlpdf (0.4-4) unstable; urgency=low

  * Change makefile_fix.patch so that system libraries are not linked into
    cma (fixes FTBFS with new dh-ocaml)
  * Switch to dh-ocaml 0.9
  * Don't install *.cmo

 -- Stéphane Glondu <glondu@debian.org>  Tue, 29 Sep 2009 19:43:24 +0200

camlpdf (0.4-3) unstable; urgency=low

  * Add myself to Uploaders
  * Add missing dependency to zip in META
  * Add README.source
  * Update Standards-Version to 3.8.3
  * Use ocaml.mk as a CDBS "rules" file
  * Add doc-base registration file

 -- Stéphane Glondu <glondu@debian.org>  Wed, 26 Aug 2009 00:37:20 +0200

camlpdf (0.4-2) unstable; urgency=low

  * Removed unused modules io, istring and unzip.
    Thanks to Guillaume Yziquel for reporting and
    upstream for instructions on how to fix properly.
  Closes: #531360
  * Changed section to non-free/ocaml.
  * Updated standards-version to 3.8.1

 -- Romain Beauxis <toots@rastageeks.org>  Tue, 02 Jun 2009 18:21:36 +0200

camlpdf (0.4-1) unstable; urgency=low

  [ Mehdi Dogguy ]
  * Fix watch file and debian/control: Update webpage link

  [ Romain Beauxis ]
  * New upstream release.
  * Updated packaging:
    + Use dh-ocaml
    + Bumped compat to 7

 -- Romain Beauxis <toots@rastageeks.org>  Mon, 09 Mar 2009 03:28:20 +0100

camlpdf (0.3-3) unstable; urgency=low

  * Fix FTBFS on non-native architectures (Closes: #492034)

 -- Stephane Glondu <steph@glondu.net>  Wed, 23 Jul 2008 15:40:29 +0200

camlpdf (0.3-2) unstable; urgency=low

  * Enabled autobuild for non-free packages

 -- Romain Beauxis <toots@rastageeks.org>  Tue, 08 Jul 2008 11:45:52 +0200

camlpdf (0.3-1) unstable; urgency=low

  * Initial upload to unstable (Closes: #485949)

 -- Romain Beauxis <toots@rastageeks.org>  Thu, 12 Jun 2008 14:14:29 +0200

=== debian/control ===
Source: camlpdf
Section: non-free/ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Romain Beauxis <toots@rastageeks.org>,
 Mehdi Dogguy <mehdi@debian.org>,
 Stéphane Glondu <glondu@debian.org>
Build-Depends:
 cdbs (>= 0.4.53), debhelper (>= 7.0.1), ocaml-nox, patchutils (>= 0.2.25),
 ocaml-findlib (>= 1.2.5),
 libzip-ocaml-dev (>= 1.04-6~),
 dh-ocaml (>= 0.9)
Standards-Version: 3.8.4
XS-Autobuild: yes
Homepage: http://www.coherentgraphics.co.uk/camlpdf.html
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/camlpdf.git
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/camlpdf.git

Package: libcamlpdf-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: library for reading, writing and manipulating PDF files and data
 CamlPDF consists of a set of low level modules for representing,
 reading and writing the basic structure of PDF, together with an
 initial attempt at a higher level API.
 .
 This package contains all the development stuff you need to develop
 OCaml programs which use camlpdf.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/rules/ocaml.mk

# In order to regenerate 'debian/control' :
#   DEB_AUTO_UPDATE_DEBIAN_CONTROL=yes fakeroot debian/rules clean
# Then check manually if everything's ok

DESTDIR = $(CURDIR)/debian/tmp$(shell ocamlc -where)
DEB_MAKE_INSTALL_TARGET :=
DEB_MAKE_CLEAN_TARGET   := clean clean-doc
DEB_MAKE_BUILD_TARGET := byte-code-library
DEB_DH_COMPRESS_ARGS := -X.pdf

ifeq ($(OCAML_HAVE_OCAMLOPT),yes)
        DEB_MAKE_BUILD_TARGET += native-code-library
endif

DEB_DH_INSTALL_SOURCEDIR := .
CFLAGS += -fPIC

build/libcamlpdf-ocaml-dev::
	mkdir -p $(DESTDIR)
	make htdoc
	VERSION=$(DEB_NOEPOCH_VERSION); \
	VERSION=$${VERSION%%-*}; \
	sed -e "s#@VERSION@#$$VERSION#" < debian/META.in > debian/META

clean::
	rm -f debian/META

=== debian/watch ===
version=3
http://www.coherentgraphics.co.uk/ocaml-libraries.html camlpdf-(.+)\.tar\.bz2

## camlpdf 2.1.1

=== debian/changelog ===
camlpdf (2.1.1-1build1) artful; urgency=high

  * No change rebuild against ocaml 4.04.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 27 Jun 2017 13:37:26 +0100

camlpdf (2.1.1-1) unstable; urgency=medium

  * Team upload
  * Imported Upstream version 2.1.1
  * copyright: Add license of miniz.c (Closes: #742881)
  * debian/watch: Use filenamemangle
  * Remove obsolete patches
  * Use HTTPS for Vcs-* URLs
  * Bump Standards-Version to 3.9.8.
    No change required.

 -- Nicolas Braud-Santoni <nicolas@braud-santoni.eu>  Sat, 23 Jul 2016 17:21:36 -0400

camlpdf (1.7.2+1-1) unstable; urgency=medium

  * New upstream release
    - cherry-pick license fix from upstream git repository
    - upstream license has changed; it is now suitable for main
  * Bump debhelper compat level to 9 and use dh
  * Update Vcs-* and Homepage
  * Add runtime package for C stubs
  * Bump Standards-Version to 3.9.5

 -- Stéphane Glondu <glondu@debian.org>  Wed, 26 Mar 2014 17:57:49 +0100

=== debian/control ===
Source: camlpdf
Section: ocaml
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Romain Beauxis <toots@rastageeks.org>,
 Mehdi Dogguy <mehdi@debian.org>,
 Stéphane Glondu <glondu@debian.org>
Build-Depends:
 debhelper (>= 9),
 ocaml-nox,
 ocaml-findlib (>= 1.2.5),
 dh-ocaml (>= 0.9)
Standards-Version: 3.9.8
Homepage: https://github.com/johnwhitington/camlpdf
Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/camlpdf.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ocaml-maint/packages/camlpdf.git

Package: libcamlpdf-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: library for reading, writing and manipulating PDF files and data
 CamlPDF consists of a set of low level modules for representing,
 reading and writing the basic structure of PDF, together with an
 initial attempt at a higher level API.
 .
 This package contains all the development stuff you need to develop
 OCaml programs which use camlpdf.

Package: libcamlpdf-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Description: library for reading, writing and manipulating PDF files and data (runtime)
 CamlPDF consists of a set of low level modules for representing,
 reading and writing the basic structure of PDF, together with an
 initial attempt at a higher level API.
 .
 This package contains runtime libraries.

## camlpdf 2.2.1

=== Makefile ===
# Build the camlpdf library as byte code and native code
PDFMODS = pdfutil pdfio pdftransform pdfunits pdfpaper pdfcryptprimitives pdf pdfcrypt \
pdfflate pdfcodec pdfwrite pdfgenlex pdfread pdfjpeg pdfops pdfdest \
pdfmarks pdfpagelabels pdfpage pdfannot pdffun pdfspace pdfimage pdfafm \
pdfafmdata pdfglyphlist pdftext pdfstandard14 pdfgraphics pdfshapes pdfdate \
pdfocg pdfcff pdftype1 pdftruetype pdftype0 pdfmerge

SOURCES = flatestubs.c rijndael-alg-fst.c stubs-aes.c sha2.c stubs-sha2.c $(foreach x,$(PDFMODS),$(x).ml $(x).mli)

PACKS = bigarray

RESULT = camlpdf

LIBINSTALL_FILES = camlpdf.a camlpdf.cma camlpdf.cmxa libcamlpdf_stubs.a \
dllcamlpdf_stubs.* $(foreach x,$(PDFMODS),$x.mli) \
$(foreach x,$(PDFMODS),$x.cmi) $(foreach x,$(PDFMODS),$x.cmx)

OCAMLNCFLAGS = -g -annot -w -3
OCAMLBCFLAGS = -g -annot -w -3
OCAMLLDFLAGS = -g

all : native-code-library byte-code-library htdoc

clean ::
	rm -rf doc foo foo2 out.pdf out2.pdf

install : libinstall

-include OCamlMakefile

=== debian/changelog ===
camlpdf (2.2.1-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Tue, 18 Jul 2017 20:18:17 +0200

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DESTDIR=$(CURDIR)/debian/tmp

include /usr/share/ocaml/ocamlvars.mk

OCAMLFIND_DESTDIR=$(DESTDIR)$(OCAML_STDLIB_DIR)
export OCAMLFIND_DESTDIR

OCAMLFIND_LDCONF=ignore
export OCAMLFIND_LDCONF

%:
	dh $@ --with ocaml

.PHONY: override_dh_auto_install
override_dh_auto_install:
	mkdir -p $(OCAMLFIND_DESTDIR) $(DESTDIR)$(OCAML_DLL_DIR)
	dh_auto_install

.PHONY: override_dh_install
override_dh_install:
	dh_install --fail-missing -X.so.owner

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	dh_auto_clean
	rm -rf doc

.PHONY: override_dh_compress
override_dh_compress:
	dh_compress -X/examples/ -X.pdf

## camlpdf 2.3

=== Makefile ===
--- 
+++ 
@@ -12,19 +12,18 @@
 RESULT = camlpdf
 
 LIBINSTALL_FILES = camlpdf.a camlpdf.cma camlpdf.cmxa libcamlpdf_stubs.a \
-dllcamlpdf_stubs.* $(foreach x,$(PDFMODS),$x.mli) \
+dllcamlpdf_stubs.* $(foreach x,$(PDFMODS),$x.mli)  $(foreach x,$(PDFMODS),$x.cmt) \
 $(foreach x,$(PDFMODS),$x.cmi) $(foreach x,$(PDFMODS),$x.cmx)
 
-OCAMLNCFLAGS = -g -annot -w -3
-OCAMLBCFLAGS = -g -annot -w -3
+OCAMLNCFLAGS = -g -safe-string -bin-annot -w -3
+OCAMLBCFLAGS = -g -safe-string -bin-annot -w -3
 OCAMLLDFLAGS = -g
 
 all : native-code-library byte-code-library htdoc
 
 clean ::
-	rm -rf doc foo foo2 out.pdf out2.pdf
+	rm -rf doc foo foo2 out.pdf out2.pdf *.cmt
 
 install : libinstall
 
 -include OCamlMakefile
-

=== examples/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 export PACKS = camlpdf
-export OCAMLBCFLAGS = -g
-export OCAMLNCFLAGS = -g 
+export OCAMLBCFLAGS = -g -w -3
+export OCAMLNCFLAGS = -g -w -3
 export OCAMLLDFLAGS = -g
 
 define PROJ_pdfhello

=== utop/Makefile ===
# Build camlpdf.top as a 'utop' top level
# Messy, because it stomps all over the parent folder, but this
# is the best solution for now.
PDFMODS = ../pdfutil ../pdfio ../pdftransform ../pdfunits ../pdfpaper ../pdf ../pdfcryptprimitives \
../pdfcrypt ../pdfflate ../pdfcodec ../pdfwrite ../pdfgenlex ../pdfread ../pdfjpeg ../pdfops ../pdfdest \
../pdfmarks ../pdfpagelabels ../pdfpage ../pdfannot ../pdffun ../pdfspace ../pdfimage ../pdfafm \
../pdfafmdata ../pdfglyphlist ../pdftext ../pdfstandard14 ../pdfgraphics ../pdfshapes ../pdfdate \
../pdfocg ../pdfcff ../pdftype1 ../pdftruetype ../pdftype0 ../pdfmerge

SOURCES = ../flatestubs.c ../rijndael-alg-fst.c ../stubs-aes.c ../sha2.c ../stubs-sha2.c $(foreach x,$(PDFMODS),$(x).ml $(x).mli) pdfutop.ml

THREADS = yes

PACKS = utop,bigarray

RESULT = camlpdf

OCAMLNCFLAGS = -g -w -3
OCAMLBCFLAGS = -g -w -3
OCAMLLDFLAGS = -g

OCAMLMAKEFILE = ../OCamlMakefile

all : top

clean ::
	rm -rf *.di *.d

include $(OCAMLMAKEFILE)

=== debian/changelog ===
camlpdf (2.3-2build1) focal; urgency=medium

  * No change rebuild against new ocaml ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 21 Feb 2020 01:31:05 +0000

camlpdf (2.3-2) unstable; urgency=medium

  * Team upload
  * patch makefile-bytecode: fix compilation on bytecode architectures
  * Standards-Version 4.4.1 (no change)

 -- Ralf Treinen <treinen@debian.org>  Wed, 13 Nov 2019 20:56:45 +0100

camlpdf (2.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release, which fixes compilation with OCaml 4.08
    (closes: #944276)
  * Also install *.cmt files.
  * Add a simple as-installed test

 -- Ralf Treinen <treinen@debian.org>  Tue, 12 Nov 2019 21:37:48 +0100

=== debian/control ===
--- 
+++ 
@@ -12,10 +12,10 @@
  ocaml-nox,
  ocaml-findlib (>= 1.2.5),
  dh-ocaml (>= 0.9)
-Standards-Version: 3.9.8
+Standards-Version: 4.4.1
 Homepage: https://github.com/johnwhitington/camlpdf
-Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/camlpdf.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ocaml-maint/packages/camlpdf.git
+Vcs-Git: https://salsa.debian.org/ocaml-team/camlpdf.git
+Vcs-Browser: https://salsa.debian.org/ocaml-team/camlpdf
 
 Package: libcamlpdf-ocaml-dev
 Architecture: any

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/camlpdf-$1\.tar\.gz/ \
  https://github.com/johnwhitington/camlpdf/releases /.*/archive/v([\d\.]+)\.tar\.gz

## camlpdf 2.3.1

=== Makefile ===
# Build the camlpdf library as byte code and, if available, native code
PDFMODS = pdfutil pdfio pdftransform pdfunits pdfpaper pdfcryptprimitives \
  pdf pdfcrypt pdfflate pdfcodec pdfwrite pdfgenlex pdfread pdfjpeg pdfops \
  pdfdest pdfmarks pdfpagelabels pdfpage pdfannot pdffun pdfspace pdfimage \
  pdfafm pdfafmdata pdfglyphlist pdftext pdfstandard14 pdfgraphics pdfshapes \
  pdfdate pdfocg pdfcff pdftype1 pdftruetype pdftype0 pdfmerge

SOURCES = flatestubs.c rijndael-alg-fst.c stubs-aes.c sha2.c stubs-sha2.c \
	  $(foreach x,$(PDFMODS),$(x).ml $(x).mli)

PACKS = bigarray

RESULT = camlpdf

LIBINSTALL_FILES = camlpdf.cma libcamlpdf_stubs.a \
  dllcamlpdf_stubs.* $(foreach x,$(PDFMODS),$x.mli) \
  $(foreach x,$(PDFMODS),$x.cmt) $(foreach x,$(PDFMODS),$x.cmi)

TARGETS := byte-code-library htdoc

OCAMLFLAGS = -bin-annot
OCAMLNCFLAGS = -g -safe-string -w -3
OCAMLBCFLAGS = -g -safe-string -w -3
OCAMLLDFLAGS = -g

ifneq ($(shell which ocamlopt),)
  TARGETS += native-code-library
  LIBINSTALL_FILES += camlpdf.a camlpdf.cmxa $(foreach x,$(PDFMODS),$x.cmx)
endif

all : $(TARGETS)

clean ::
	rm -rf doc foo foo2 out.pdf out2.pdf *.cmt *.cmti

install : libinstall

-include OCamlMakefile

=== debian/changelog ===
camlpdf (2.3.1-1) unstable; urgency=medium

  * New upstream release
  * Bump debhelper compat level to 13
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Thu, 06 Aug 2020 15:03:41 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: camlpdf
 Section: ocaml
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Romain Beauxis <toots@rastageeks.org>,
  Mehdi Dogguy <mehdi@debian.org>,
  Stéphane Glondu <glondu@debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper-compat (= 13),
  ocaml-nox,
- ocaml-findlib (>= 1.2.5),
- dh-ocaml (>= 0.9)
-Standards-Version: 4.4.1
+ ocaml-findlib,
+ dh-ocaml
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://github.com/johnwhitington/camlpdf
 Vcs-Git: https://salsa.debian.org/ocaml-team/camlpdf.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/camlpdf

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DESTDIR=$(CURDIR)/debian/tmp

include /usr/share/ocaml/ocamlvars.mk

OCAMLFIND_DESTDIR=$(DESTDIR)$(OCAML_STDLIB_DIR)
export OCAMLFIND_DESTDIR

OCAMLFIND_LDCONF=ignore
export OCAMLFIND_LDCONF

%:
	dh $@ --with ocaml --no-parallel

override_dh_auto_install:
	mkdir -p $(OCAMLFIND_DESTDIR) $(DESTDIR)$(OCAML_DLL_DIR)
	dh_auto_install

override_dh_auto_clean:
	dh_auto_clean
	rm -rf doc

override_dh_compress:
	dh_compress -X/examples/ -X.pdf

override_dh_missing:
	dh_missing --fail-missing -X.so.owner

override_dh_dwz:

## camlpdf 2.4

=== Makefile ===
--- 
+++ 
@@ -7,8 +7,6 @@
 
 SOURCES = flatestubs.c rijndael-alg-fst.c stubs-aes.c sha2.c stubs-sha2.c \
 	  $(foreach x,$(PDFMODS),$(x).ml $(x).mli)
-
-PACKS = bigarray
 
 RESULT = camlpdf
 
@@ -31,7 +29,7 @@
 all : $(TARGETS)
 
 clean ::
-	rm -rf doc foo foo2 out.pdf out2.pdf *.cmt *.cmti
+	rm -rf doc foo foo2 out.pdf out2.pdf *.cmt *.cmti *.zlib
 
 install : libinstall

=== debian/changelog ===
camlpdf (2.4-1build1) jammy; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Jan 2022 17:20:27 +0100

camlpdf (2.4-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.6.0
  * Update debian/watch

 -- Stéphane Glondu <glondu@debian.org>  Sun, 28 Nov 2021 11:07:39 +0100

camlpdf (2.3.1-2) unstable; urgency=medium

  * Build with NO_CUSTOM=y
  * Remove Romain from Uploaders

 -- Stéphane Glondu <glondu@debian.org>  Tue, 13 Oct 2020 11:31:52 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
- Romain Beauxis <toots@rastageeks.org>,
  Mehdi Dogguy <mehdi@debian.org>,
  Stéphane Glondu <glondu@debian.org>
 Build-Depends:
@@ -11,7 +10,7 @@
  ocaml-nox,
  ocaml-findlib,
  dh-ocaml
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://github.com/johnwhitington/camlpdf
 Vcs-Git: https://salsa.debian.org/ocaml-team/camlpdf.git

## camlpdf 2.5.3

=== Makefile ===
# Build the camlpdf library as byte code and, if available, native code
PDFMODS = pdfutil pdfio pdftransform pdfunits pdfpaper pdfcryptprimitives \
  pdf pdfcrypt pdfflate pdfcodec pdfwrite pdfgenlex pdfread pdfjpeg pdfops \
  pdfdest pdfmarks pdfpagelabels pdfpage pdfannot pdffun pdfspace pdfimage \
  pdfafm pdfafmdata pdfglyphlist pdftext pdfstandard14 pdfgraphics pdfshapes \
  pdfdate pdfocg pdfcff pdftype1 pdftruetype pdfmerge

SOURCES = flatestubs.c rijndael-alg-fst.c stubs-aes.c sha2.c stubs-sha2.c \
	  $(foreach x,$(PDFMODS),$(x).ml $(x).mli)

RESULT = camlpdf

OCAMLFLAGS = -bin-annot
OCAMLNCFLAGS = -g -safe-string
OCAMLBCFLAGS = -g -safe-string
OCAMLLDFLAGS = -g

TARGETS := byte-code-library top htdoc

LIBINSTALL_FILES = camlpdf.cma libcamlpdf_stubs.a \
  dllcamlpdf_stubs.* $(foreach x,$(PDFMODS),$x.mli) \
  $(foreach x,$(PDFMODS),$x.cmt) $(foreach x,$(PDFMODS),$x.cmi)

ifneq ($(shell ocamlopt -version),)
  TARGETS += native-code-library
  LIBINSTALL_FILES += camlpdf.a camlpdf.cmxa $(foreach x,$(PDFMODS),$x.cmx)
endif

all : $(TARGETS)

clean ::
	rm -rf doc foo foo2 out.pdf out2.pdf *.cmt *.cmti *.zlib

install : libinstall

-include OCamlMakefile

=== debian/changelog ===
camlpdf (2.5.3-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Wed, 01 Feb 2023 19:01:56 +0100

=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,8 @@
 
 OCAMLFIND_LDCONF=ignore
 export OCAMLFIND_LDCONF
+
+export NO_CUSTOM=y
 
 %:
 	dh $@ --with ocaml --no-parallel

=== debian/tests/control ===
Tests: upstream-examples
Depends: @, ocaml-nox, ocaml-findlib, poppler-utils

## camlpdf 2.6

=== Makefile ===
# Build the camlpdf library as byte code and, if available, native code
PDFMODS = pdfe pdfutil pdfio pdftransform pdfunits pdfpaper pdfcryptprimitives \
  pdf pdfcrypt pdfflate pdfcodec pdfwrite pdfgenlex pdfread pdfjpeg pdfops \
  pdfdest pdfmarks pdfpagelabels pdfpage pdfannot pdffun pdfspace pdfimage \
  pdfafm pdfafmdata pdfglyphlist pdftext pdfstandard14 pdfdate pdfocg pdfmerge

SOURCES = flatestubs.c rijndael-alg-fst.c stubs-aes.c sha2.c stubs-sha2.c \
	  $(foreach x,$(PDFMODS),$(x).ml $(x).mli)

RESULT = camlpdf

CFLAGS = -o2
OCAMLFLAGS = -bin-annot
OCAMLNCFLAGS = -g -safe-string
OCAMLBCFLAGS = -g -safe-string
OCAMLLDFLAGS = -g

TARGETS := byte-code-library htdoc

LIBINSTALL_FILES = \
  camlpdf.cma libcamlpdf_stubs.a dllcamlpdf_stubs.* \
  $(foreach x,$(PDFMODS),$x.mli) $(foreach x,$(PDFMODS),$x.cmt) \
  $(foreach x,$(PDFMODS),$x.cmi) $(foreach x,$(PDFMODS),$x.cmti)

ifneq ($(shell ocamlopt -version),)
  TARGETS += native-code-library
  LIBINSTALL_FILES += camlpdf.a camlpdf.cmxa $(foreach x,$(PDFMODS),$x.cmx)
endif

all : $(TARGETS)

clean ::
	rm -rf doc foo foo2 out.pdf out2.pdf *.ps *.cmt *.cmti *.zlib
	rm -rf examples/out.pdf examples/out2.pdf examples/foo examples/foo
	cd examples; make clean

install : libinstall

-include OCamlMakefile

=== debian/changelog ===
camlpdf (2.6-1build2) noble; urgency=high

  * No change rebuild against frame pointers and time_t.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 22 Apr 2024 16:43:23 +0200

camlpdf (2.6-1build1) noble; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 02 Nov 2023 10:06:54 +0100

camlpdf (2.6-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.6.2

 -- Stéphane Glondu <glondu@debian.org>  Tue, 08 Aug 2023 09:03:46 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: camlpdf
 Section: ocaml
 Priority: optional
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Mehdi Dogguy <mehdi@debian.org>,
  Stéphane Glondu <glondu@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- ocaml-nox,
+ ocaml,
  ocaml-findlib,
  dh-ocaml
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/johnwhitington/camlpdf
 Vcs-Git: https://salsa.debian.org/ocaml-team/camlpdf.git

=== debian/watch ===
version=4
https://github.com/johnwhitington/camlpdf/tags .*/v?([\d\.]+)\.tar\.gz

## camlpdf 2.7

=== debian/changelog ===
camlpdf (2.7-2) unstable; urgency=medium

  * Fix autopkgtest on bytecode architectures

 -- Stéphane Glondu <glondu@debian.org>  Mon, 12 Aug 2024 19:07:09 +0200

camlpdf (2.7-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Fri, 07 Jun 2024 18:20:47 +0200

## camlpdf 2.7.1

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,9 @@
 # Build the camlpdf library as byte code and, if available, native code
-PDFMODS = pdfe pdfutil pdfio pdftransform pdfunits pdfpaper pdfcryptprimitives \
-  pdf pdfcrypt pdfflate pdfcodec pdfwrite pdfgenlex pdfread pdfjpeg pdfops \
-  pdfdest pdfmarks pdfpagelabels pdfpage pdfannot pdffun pdfspace pdfimage \
-  pdfafm pdfafmdata pdfglyphlist pdftext pdfstandard14 pdfdate pdfocg pdfmerge
+PDFMODS = pdfe pdfutil pdfio pdftransform pdfunits pdfpaper \
+  pdfcryptprimitives pdf pdfcrypt pdfflate pdfcodec pdfwrite pdfgenlex \
+  pdfread pdfjpeg pdfops pdfdest pdfmarks pdfpagelabels pdftree pdfst pdfpage \
+  pdfannot pdffun pdfspace pdfimage pdfafm pdfafmdata pdfglyphlist pdftext \
+  pdfstandard14 pdfdate pdfocg pdfmerge
 
 SOURCES = flatestubs.c rijndael-alg-fst.c stubs-aes.c sha2.c stubs-sha2.c \
 	  $(foreach x,$(PDFMODS),$(x).ml $(x).mli)

=== debian/changelog ===
camlpdf (2.7.1-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.7.0

 -- Stéphane Glondu <glondu@debian.org>  Mon, 19 Aug 2024 09:48:37 +0200

## camlpdf 2.8

=== Makefile ===
--- 
+++ 
@@ -33,6 +33,7 @@
 clean ::
 	rm -rf doc foo foo2 out.pdf out2.pdf *.ps *.cmt *.cmti *.zlib
 	rm -rf examples/out.pdf examples/out2.pdf examples/foo examples/foo
+	rm -rf examples/hello.pdf
 	cd examples; make clean
 
 install : libinstall

=== examples/Makefile ===
--- 
+++ 
@@ -47,4 +47,3 @@
 
 %:
 	@make -f OCamlMakefile subprojs SUBTARGET=$@
-

=== debian/changelog ===
camlpdf (2.8-1build1) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 28 Jan 2025 19:57:23 +0100

camlpdf (2.8-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Sun, 29 Dec 2024 21:16:14 +0100

=== debian/tests/control ===
Tests: upstream-examples
Depends: @, ocaml, ocaml-findlib, poppler-utils

## camlpdf 2.8.1

=== Makefile ===
--- 
+++ 
@@ -2,8 +2,8 @@
 PDFMODS = pdfe pdfutil pdfio pdftransform pdfunits pdfpaper \
   pdfcryptprimitives pdf pdfcrypt pdfflate pdfcodec pdfwrite pdfgenlex \
   pdfread pdfjpeg pdfops pdfdest pdfmarks pdfpagelabels pdftree pdfst pdfpage \
-  pdfannot pdffun pdfspace pdfimage pdfafm pdfafmdata pdfglyphlist pdftext \
-  pdfstandard14 pdfdate pdfocg pdfmerge
+  pdfannot pdffun pdfspace pdfimage pdfafm pdfafmdata pdfglyphlist pdfcmap \
+  pdftext pdfstandard14 pdfdate pdfocg pdfmerge
 
 SOURCES = flatestubs.c rijndael-alg-fst.c stubs-aes.c sha2.c stubs-sha2.c \
 	  $(foreach x,$(PDFMODS),$(x).ml $(x).mli)

=== debian/changelog ===
camlpdf (2.8.1-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Tue, 08 Apr 2025 08:14:59 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: camlpdf
 Section: ocaml
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Mehdi Dogguy <mehdi@debian.org>,
  Stéphane Glondu <glondu@debian.org>
@@ -11,7 +10,7 @@
  ocaml,
  ocaml-findlib,
  dh-ocaml
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/johnwhitington/camlpdf
 Vcs-Git: https://salsa.debian.org/ocaml-team/camlpdf.git
